extends Control

onready var start_btn = get_node("split/buttons/start_btn")
onready var load_btn = get_node("split/buttons/load_btn")
onready var options_btn = get_node("split/buttons/options_btn")
onready var quit_btn = get_node("split/buttons/quit_btn")

func _ready():
	
	# signals for buttens
	start_btn.connect("pressed", self, "_on_start_pressed")
	load_btn.connect("pressed", self, "_on_load_pressed")
	options_btn.connect("pressed", self, "_on_options_pressed")
	quit_btn.connect("pressed", self, "_on_quit_pressed")
	

func _on_start_pressed():
	Game.switch_scene_to(Game.Scenes.INTRO)

func _on_load_pressed():
	pass

func _on_options_pressed():
	pass

func _on_quit_pressed():
	get_tree().quit()